<?xml version="1.0" encoding="UTF-8"?>

<?import com.jfoenix.controls.JFXButton?>
<?import com.jfoenix.controls.JFXPasswordField?>
<?import com.jfoenix.controls.JFXTextField?>
<?import com.jfoenix.validation.RequiredFieldValidator?>
<?import javafx.scene.Cursor?>
<?import javafx.scene.effect.DropShadow?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.shape.Circle?>
<?import javafx.scene.text.Font?>

<AnchorPane fx:id="rootPane" prefHeight="606.0" prefWidth="514.0" styleClass="root" stylesheets="@../css/mainStyle.css" xmlns="http://javafx.com/javafx/9.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.controller.LoginController">
   <children>
      <GridPane fx:id="grid" maxHeight="1080.0" maxWidth="720.0" minHeight="500.0" minWidth="200.0" prefHeight="500.0" prefWidth="200.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
        <columnConstraints>
          <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
        </columnConstraints>
        <rowConstraints>
          <RowConstraints maxHeight="381.5999816894531" minHeight="10.0" prefHeight="305.8000183105469" vgrow="SOMETIMES" />
          <RowConstraints maxHeight="248.99998168945308" minHeight="10.0" prefHeight="248.99998168945308" vgrow="SOMETIMES" />
          <RowConstraints maxHeight="90.19998779296873" minHeight="10.0" prefHeight="51.0" vgrow="SOMETIMES" />
        </rowConstraints>
         <children>
            <Circle fill="#f0ece1" radius="134.0" stroke="BLACK" strokeType="INSIDE" strokeWidth="0.0" GridPane.halignment="CENTER" GridPane.valignment="CENTER">
               <effect>
                  <DropShadow color="#00000075" height="3.39" offsetY="2.0" radius="2.1350000000000002" width="7.15" />
               </effect>
            </Circle>
            <ImageView fitHeight="271.0" fitWidth="246.0" pickOnBounds="true" preserveRatio="true" GridPane.halignment="CENTER" GridPane.valignment="CENTER">
               <image>
                  <Image url="@../img/logohblancrond.png" />
               </image>
            </ImageView>
            <GridPane fx:id="secondaryGrid" GridPane.rowIndex="1">
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints maxHeight="108.599951171875" minHeight="10.0" prefHeight="84.599951171875" vgrow="SOMETIMES" />
                <RowConstraints maxHeight="109.60002441406252" minHeight="10.0" prefHeight="86.59995117187499" vgrow="SOMETIMES" />
                <RowConstraints maxHeight="83.20001220703125" minHeight="10.0" prefHeight="76.800048828125" vgrow="SOMETIMES" />
              </rowConstraints>
               <children>
                  <JFXTextField fx:id="fieldUserName" focusColor="#ff5c5c" maxHeight="38.0" maxWidth="200.0" onKeyPressed="#onKeyPressed" opacity="0.8" prefHeight="38.0" prefWidth="200.0" promptText="Nom d'utilisateur" GridPane.halignment="CENTER" GridPane.valignment="TOP">
                     <font>
                        <Font name="Roboto Regular" size="20.0" />
                     </font>
                     <cursor>
                        <Cursor fx:constant="TEXT" />
                     </cursor>
                      <validators>
                          <RequiredFieldValidator message="Champs requis" style="-fx-font-size: 13.0">
                          </RequiredFieldValidator>
                      </validators>
                  </JFXTextField>
                  <JFXPasswordField fx:id="fieldPassword" focusColor="#ff5c5c" maxHeight="36.0" maxWidth="200.0" onKeyPressed="#onKeyPressed" opacity="0.8" prefHeight="36.0" prefWidth="200.0" promptText="Mot de passe" GridPane.halignment="CENTER" GridPane.rowIndex="1" GridPane.valignment="TOP">
                     <font>
                        <Font name="Roboto Regular" size="20.0" />
                     </font>
                      <validators>
                          <RequiredFieldValidator message="Champs requis" style="-fx-font-size: 13.0">
                          </RequiredFieldValidator>
                      </validators>
                  </JFXPasswordField>
                  <JFXButton fx:id="btnConnect" onMouseClicked="#onConnectClicked" prefHeight="45.0" prefWidth="128.0" ripplerFill="BLACK" style="-fx-background-color: #E4E4E4;" styleClass="button-valider" text="Connexion" textAlignment="CENTER" GridPane.halignment="CENTER" GridPane.rowIndex="2" GridPane.valignment="CENTER">
                     <font>
                        <Font name="Roboto" size="18.0" />
                     </font>
                     <effect>
                        <DropShadow color="#00000072" />
                     </effect>
                     <cursor>
                        <Cursor fx:constant="HAND" />
                     </cursor>
                  </JFXButton>
               </children>
            </GridPane>
         </children>
      </GridPane>
   </children>
</AnchorPane>
